- Qt 6.8
- Qt Graphs
- QML Types
- QtGraphs
- SurfaceDataProxy
- Qt Graphs | Commercial or GPLv3

# SurfaceDataProxy QML Type

The data proxy for a 3D surface graph. More...

Import Statement: | `import QtGraphs`
Inherits: | AbstractDataProxy
Inherited By: | HeightMapSurfaceDataProxy and ItemModelSurfaceDataProxy

- List of all members, including inherited members
- SurfaceDataProxy is part of Qt Graphs QML Types for 3D.

## Properties

- columnCount : int
- rowCount : int
- series : Surface3DSeries
- type : AbstractDataProxy.DataType

## Signals

- columnCountChanged(int count)
- rowCountChanged(int count)
- seriesChanged(Surface3DSeries series)

## Detailed Description

This type handles surface data items. The data is arranged into rows and columns, and all rows must have the same number of columns.

This type is uncreatable, but contains properties that are exposed via subtypes.

For a more complete description, see QSurfaceDataProxy.

See also ItemModelSurfaceDataProxy and Qt Graphs Data Handling with 3D.

## Property Documentation

columnCount : int

The number of columns in the data array.

rowCount : int

The number of rows in the data array.

series : Surface3DSeries

The series this proxy is attached to.

type : AbstractDataProxy.DataType

The type of the proxy. One of the QAbstractDataProxy::DataType values.

## Signal Documentation

columnCountChanged(int count)

This signal is emitted when columnCount changes to count.

Note: The corresponding handler is `onColumnCountChanged`.

rowCountChanged(int count)

This signal is emitted when rowCount changes to count.

Note: The corresponding handler is `onRowCountChanged`.

seriesChanged(Surface3DSeries series)

This signal is emitted when series changes to series.

Note: The corresponding handler is `onSeriesChanged`.